import NextIntlRequestStorage from '../server/NextIntlRequestStorage';
export default function useTranslations(namespace) {
    const translator = NextIntlRequestStorage.getTranslator();
    return function translate(key, ...rest) {
        const path = [namespace, key].filter((part) => part != null).join('.');
        // @ts-expect-error We're using the types from the real `useTranslations` anyway
        return translator(path, ...rest);
    };
}
//# sourceMappingURL=useTranslations.js.map