import React from 'react';
import getIntlContextValue from 'use-intl/dist/src/react/getIntlContextValue';
import NextIntlRequestStorage from './NextIntlRequestStorage';
export default function NextIntlServerProvider(props) {
    // Typically this component renders only once in `layout`. It can however be
    // the case that when next-intl features are necessary in the `<head>`, this
    // provider will be used twice.
    //
    // Maybe we're doing us a disfavour by using an API that looks like it's
    // scoped to a part of the tree. The big advantage is that the API is the
    // same for both server and client.
    NextIntlRequestStorage.initRequest(getIntlContextValue(props));
    return React.createElement(React.Fragment, null, props.children);
}
//# sourceMappingURL=NextIntlServerProvider.js.map