/**
 * Returns the request-level storage of Next.js where typically headers
 * and cookies are stored. This is recreated for every request.
 *
 * This uses internal APIs of Next.js and may break in
 * the future, so we should really move away from this.
 */
export default class NextRequestStorage<Data> {
    private key;
    constructor(key: string);
    set(value: Data): void;
    get(): Data | undefined;
    private getStorage;
}
